/*CSS Reset*/
* {
	/*
		zeroes all margins and paddings of our elements. Because by default, elements are being added margins and paddings by browser
		box-sizing: border-box; - to accurately measure our elements, that padding and border are not added on the top of the element's width
	*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*class selector*/

/*id selector*/
#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 2px solid salmon;
	background-color: papayawhip;
	margin-right: 30px;
	display: inline-block;
	vertical-align: top;
	/*
	
	 without box-sizing: border-box
		the exact width of our element: 254px
		
		border and padding are added on the top of the width

		2px left border + 50px left padding + 150 content width + 50px right padding + 2px right border = 254px
	  
	  with box-sizing: border-box;
	  	the exact width of our element: 
		
		border and padding are included in the total width
	  	2px left border + 50px left padding + 46px content width + 50px right padding + 2px right border

	  	padding - space within an element
	  	margin - space outside of the element or outside of an element's border.
		
		display: inline-block;
		this property is used to display an elemnt as an inline-level block container.

	*/

}
#box2 {
	height: 150px;
	width: 150px;
	border: 2px solid darkmagenta;
	padding: 50px;
	background-color: lightgreen;
	display: inline-block;
	vertical-align: top;
}


#box3 {
	height: 150px;
	width: 336px;
	border: 2px solid sienna;
	padding: 50px;
	background-color: lightsteelblue;
	display: inline-block;
	vertical-align: bottom;
}

p.a {
	text-align: left;
}

p.b {
	text-align: right;
}

p.c {
	text-align: center;
}

/*combinators*/


/*media query*/

